Bug 2262840 - TRIAGE CVE-2023-52138 engrampa: remote command execution via path traversal vulnerability [fedora-all]
Summary: TRIAGE CVE-2023-52138 engrampa: remote command execution via path traversal v...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: engrampa
Version: 39
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Wolfgang Ulbrich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2023-52138
TreeView+ depends on / blocked
 
Reported: 2024-02-05 17:35 UTC by Robb Gatica
Modified: 2024-02-15 01:42 UTC (History)
2 users (show)

Fixed In Version: engrampa-1.26.2-1.fc39 engrampa-1.26.2-1.fc38
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-02-15 00:59:24 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Robb Gatica 2024-02-05 17:35:42 UTC
More information about this security flaw is available in the following bug:

http://bugzilla.redhat.com/show_bug.cgi?id=2262839

Disclaimer: Community trackers are created by Red Hat Product Security team on a best effort basis. Package maintainers are required to ascertain if the flaw indeed affects their package, before starting the update process.

Comment 1 Robb Gatica 2024-02-05 17:35:44 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=high

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2262839,2262840

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2024-02-06 10:31:53 UTC
FEDORA-2024-8dc64f8f59 (engrampa-1.26.2-1.fc38) has been submitted as an update to Fedora 38.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-8dc64f8f59

Comment 3 Fedora Update System 2024-02-07 01:14:52 UTC
FEDORA-2024-8dc64f8f59 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-8dc64f8f59`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-8dc64f8f59

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2024-02-07 01:29:11 UTC
FEDORA-2024-23085d548c has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-23085d548c`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-23085d548c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2024-02-15 00:59:24 UTC
FEDORA-2024-23085d548c (engrampa-1.26.2-1.fc39) has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Fedora Update System 2024-02-15 01:42:17 UTC
FEDORA-2024-8dc64f8f59 (engrampa-1.26.2-1.fc38) has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.